Bug 187386 - [patch] Update graphics/jogl to work without base gcc.
Summary: [patch] Update graphics/jogl to work without base gcc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-09 00:50 UTC by Peter Jeremy
Modified: 2014-03-14 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.04 KB, patch)
2014-03-09 00:50 UTC, Peter Jeremy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Jeremy 2014-03-09 00:50:01 UTC
	Fix graphics/jogl to work on FreeBSD without base gcc.  This port
	still has a few Makefile warnings which I'll correct in later patches.

	Commit message:
1) Update maintainer email
2) Fix compilation when base gcc is not installed.

On point 2: jogl uses Apache Ant which has a range of compilers hard-
coded into it.  Ant requires the compiler to be named 'gcc' and won't
accept 'cc' (as used by clang) or 'gcc46' (as used by the ports USE_GCC).
To work around this, create a local symlink named 'gcc' that points at
the base 'cc'.

Submitted by:	truckman@ (2)
PR:	  	187186, <<this PR>>
Tested on:	redports

How-To-Repeat: 	Reported by pkg fallout builder.
Comment 1 Edwin Groothuis freebsd_committer 2014-03-09 00:50:09 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-09 00:50:10 UTC
Maintainer of graphics/jogl,

Please note that PR ports/187386 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187386

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-03-09 00:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Peter Jeremy freebsd_committer 2014-03-11 08:07:43 UTC
State Changed
From-To: feedback->open

I assert that I own peterjeremy@optushome.com.au, peterj@freebsd.org and 
peter@rulingia.com. 


Comment 5 Peter Jeremy freebsd_committer 2014-03-11 08:07:43 UTC
Class Changed
From-To: change-request->maintainer-update

I assert that I own peterjeremy@optushome.com.au, peterj@freebsd.org and 
peter@rulingia.com.
Comment 6 Pawel Pekala freebsd_committer 2014-03-14 11:46:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 7 dfilter service freebsd_committer 2014-03-14 12:25:17 UTC
Author: pawel
Date: Fri Mar 14 12:25:08 2014
New Revision: 348213
URL: http://svnweb.freebsd.org/changeset/ports/348213
QAT: https://qat.redports.org/buildarchive/r348213/

Log:
  - Fix build when gcc is not in the base [1]
  - Update maintainer's email [1]
  - Remove javavmwrapper dependency from BUILD,RUN depends
    it's pulled in by java runtime anyway so no port bump is needed
  - Convert to new options framework
  - Add support for staging
  - Don't try to remove non-existent dirs when DOCS=off (fixes install)
  
  PR:		ports/187386 [1]
  Submitted by:	maintainer

Modified:
  head/graphics/jogl/Makefile
  head/graphics/jogl/pkg-plist

Modified: head/graphics/jogl/Makefile
==============================================================================
--- head/graphics/jogl/Makefile	Fri Mar 14 11:34:53 2014	(r348212)
+++ head/graphics/jogl/Makefile	Fri Mar 14 12:25:08 2014	(r348213)
@@ -8,13 +8,11 @@ CATEGORIES=	graphics devel java
 MASTER_SITES=http://download.java.net/media/jogl/builds/archive/jsr-231-1.1.1/
 EXTRACT_SUFX=	-src.zip
 
-MAINTAINER=	peterjeremy@optushome.com.au
+MAINTAINER=	peterj@FreeBSD.org
 COMMENT=	Java bindings for OpenGL
 
-LIB_DEPENDS=	drm.2:${PORTSDIR}/graphics/libdrm
-BUILD_DEPENDS=	java:${PORTSDIR}/java/javavmwrapper     \
-		${JAVALIBDIR}/antlr.jar:${PORTSDIR}/devel/antlr
-RUN_DEPENDS=	java:${PORTSDIR}/java/javavmwrapper
+LIB_DEPENDS=	libdrm.so:${PORTSDIR}/graphics/libdrm
+BUILD_DEPENDS=	${JAVALIBDIR}/antlr.jar:${PORTSDIR}/devel/antlr
 
 CONFLICTS=	jogamp-jogl-*
 
@@ -23,9 +21,6 @@ NO_WRKSUBDIR=	yes
 DATADIR=	${JAVASHAREDIR}/${PORTNAME}
 
 ALL_TARGET=	all
-.if !defined(NOPORTDOCS)
-ALL_TARGET+=	javadoc
-.endif
 
 # Java currently only supports i386 and amd64.  Supporting additional
 # architectures will need patches to at least
@@ -45,8 +40,17 @@ USE_JAVA=	yes
 JAVA_VERSION=	1.6+
 
 BUILD_WRKSRC=	${WRKSRC}/jogl/make
+BUILD_BINPATH=	${WRKSRC}/bin
+MAKE_ENV+=	PATH="${BUILD_BINPATH}:${PATH}"
+
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDOCS}
+ALL_TARGET+=	javadoc
+.endif
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%JAVALIBDIR%%|${JAVALIBDIR}|g' \
 		${WRKSRC}/gluegen/make/build.xml
@@ -54,18 +58,22 @@ post-patch:
 			  -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
 		${WRKSRC}/jogl/make/build.xml
 
+pre-build:
+	${MKDIR} ${BUILD_BINPATH}
+	${LN} -sf /usr/bin/cc ${BUILD_BINPATH}/gcc
+
 do-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DATADIR}
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${STAGEDIR}${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/jogl/doc/userguide/index.html \
-		${DATADIR}/UserGuide.html
+		${STAGEDIR}${DATADIR}/UserGuide.html
 	cd ${BUILD_WRKSRC}/../javadoc_public && \
-		${FIND} . -print | ${CPIO} -pdm ${DATADIR}
+		${FIND} . -print | ${CPIO} -pdm ${STAGEDIR}${DATADIR}
 .endif
 	${INSTALL_DATA} ${WRKSRC}/gluegen/build/obj/libgluegen-rt.so \
 		${WRKSRC}/jogl/build/obj/libjogl.so \
-		${WRKSRC}/jogl/build/obj/libjogl_awt.so ${PREFIX}/lib
+		${WRKSRC}/jogl/build/obj/libjogl_awt.so ${STAGEDIR}${PREFIX}/lib
 	${INSTALL_DATA} ${WRKSRC}/gluegen/build/gluegen-rt.jar \
-		${WRKSRC}/jogl/build/jogl.jar ${JAVAJARDIR}
+		${WRKSRC}/jogl/build/jogl.jar ${STAGEDIR}${JAVAJARDIR}
 
 .include <bsd.port.mk>

Modified: head/graphics/jogl/pkg-plist
==============================================================================
--- head/graphics/jogl/pkg-plist	Fri Mar 14 11:34:53 2014	(r348212)
+++ head/graphics/jogl/pkg-plist	Fri Mar 14 12:25:08 2014	(r348213)
@@ -92,16 +92,16 @@ lib/libjogl_awt.so
 %%PORTDOCS%%%%DATADIR%%/overview-summary.html
 %%PORTDOCS%%%%DATADIR%%/help-doc.html
 %%PORTDOCS%%%%DATADIR%%/stylesheet.css
-@dirrm %%DATADIR%%/com/sun/opengl/util/j2d
-@dirrm %%DATADIR%%/com/sun/opengl/util/texture/spi
-@dirrm %%DATADIR%%/com/sun/opengl/util/texture
-@dirrm %%DATADIR%%/com/sun/opengl/util
-@dirrm %%DATADIR%%/com/sun/opengl
-@dirrm %%DATADIR%%/com/sun
-@dirrm %%DATADIR%%/com
-@dirrm %%DATADIR%%/javax/media/opengl/glu
-@dirrm %%DATADIR%%/javax/media/opengl
-@dirrm %%DATADIR%%/javax/media
-@dirrm %%DATADIR%%/javax
-@dirrm %%DATADIR%%/resources
-@dirrm %%DATADIR%%
+%%PORTDOCS%%@dirrm %%DATADIR%%/com/sun/opengl/util/j2d
+%%PORTDOCS%%@dirrm %%DATADIR%%/com/sun/opengl/util/texture/spi
+%%PORTDOCS%%@dirrm %%DATADIR%%/com/sun/opengl/util/texture
+%%PORTDOCS%%@dirrm %%DATADIR%%/com/sun/opengl/util
+%%PORTDOCS%%@dirrm %%DATADIR%%/com/sun/opengl
+%%PORTDOCS%%@dirrm %%DATADIR%%/com/sun
+%%PORTDOCS%%@dirrm %%DATADIR%%/com
+%%PORTDOCS%%@dirrm %%DATADIR%%/javax/media/opengl/glu
+%%PORTDOCS%%@dirrm %%DATADIR%%/javax/media/opengl
+%%PORTDOCS%%@dirrm %%DATADIR%%/javax/media
+%%PORTDOCS%%@dirrm %%DATADIR%%/javax
+%%PORTDOCS%%@dirrm %%DATADIR%%/resources
+%%PORTDOCS%%@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Pawel Pekala freebsd_committer 2014-03-14 12:25:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!